/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * RandomNumberDistribution_ParametersQuery.cpp
 *
 *  Created on: Jan 06, 2011
 *      Author: heber
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "Dialog.hpp"
#include "Actions/ValueStorage.hpp"

// RandomNumberDistribution_Parameters Queries
Dialog::RandomNumberDistribution_ParametersQuery::RandomNumberDistribution_ParametersQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string title, std::string _description) :
    Query(title, _description),
    param(_param)
{}

Dialog::RandomNumberDistribution_ParametersQuery::~RandomNumberDistribution_ParametersQuery() {}

void Dialog::RandomNumberDistribution_ParametersQuery::setResult() {
  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
}

